<?php

/*
 * @copyright   2016 Mautic, Inc. All rights reserved
 * @author      Mautic, Inc
 *
 * @link        https://mautic.org
 *
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace MauticPlugin\MauticUProcBundle\Services;

/**
 * This class handles everything related to the Company lookup API.
 */
class UProc_Company extends UProc_Base
{
    public function __construct($email, $api_key)
    {
        parent::__construct($email, $api_key);
        $this->_baseUri     = 'https://api.uproc.io/api/';
        $this->_baseUriDev  = 'http://uproc-api/api/';
        $this->_resourceUri = '/process';
    }

    public function lookupByDomain($search)
    {
        $this->_execute('get-company-extended-by-domain', 'domain', $search);

        return $this->response_obj;
    }
}
