<?php

/*
 * @copyright   2016 Mautic, Inc. All rights reserved
 * @author      Mautic, Inc
 *
 * @link        https://mautic.org
 *
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace MauticPlugin\MauticUProcBundle\Services;

/**
 * This class handles everything related to the Person lookup API.
 */
class UProc_Person extends UProc_Base
{
    protected $_resourceUri = '/process';
    protected $_baseUri     = 'https://api.uproc.io/api/';
    protected $_baseUriDev  = 'http://uproc-api/api/';

    public function lookupByEmail($search)
    {
        $this->_execute('get-person-extended-by-email', 'email', $search);

        return $this->response_obj;
    }
}
